=== debian/changelog ===
flite (2.2-6build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:12:09 +0000

flite (2.2-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:48 +0000

flite (2.2-6build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:35:25 +0000

flite (2.2-6) unstable; urgency=medium

  [ Hilmar Preusse ]
  * patches/texinfo70: Fix build against TexInfo 7.0.x (Closes: Bug#1030385)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Jul 2023 23:32:27 +0200

flite (2.2-5) unstable; urgency=medium

  * watch: Use tags instead of releases, and generalize.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:14:15 +0200

flite (2.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Jakub Wilk ]
  * Update upstream URLs (Closes: Bug#1011779)

  [ Samuel Thibault ]
  * control: Make flite Multi-Arch: foreign.
  * debian/libflite1.lintian-overrides: Update lintian suppression again.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:16:07 +0200

flite (2.2-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Play cat and mice again with lintian warning suppression
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Fix field name case in debian/control (Multi-arch => Multi-Arch).
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on texinfo.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:30:44 +0100

flite (2.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Samuel Thibault ]
  * rules: Remove manual installation of library files.
  * {flite,flite1-dev,libflite1}.install: Likewise
  * flite.install: Install all /usr/bin/flite* files.
  * patches/flags: Fix spurious missing flags report.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Jan 2021 16:10:49 +0100

flite (2.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release
    - patches/CVE-2014-0027_unsafe_temporary_file.patch: Upstreamed.
    - patches/link_deps.patch: Upstreamed.
    - patches/no_rpath.patch: Upstreamed.
    - patches/shlib_deps.patch: Upstreamed.
    - patches/texi2html_to_texi2any_migration.patch: Upstreamed.
    - patches/64bit: Refresh.
    - libflite1.symbols: Refresh.
  * watch: Add github release page.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * libflite1.lintian-overrides: Silence lintian warning about libraries not
    linking against libc.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Aug 2020 01:06:19 +0200

flite (2.1-release-4) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * rules: Use dh_auto_build instead of $(MAKE).
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 00:43:48 +0200
