=== debian/control ===
Source: flite
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders:
 Lukas Loehrer <loehrerl@gmx.net>,
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ed,
 libasound2-dev [linux-any],
 texinfo,
 texlive
Build-Conflicts:
 autoconf2.13
Standards-Version: 4.6.0
Homepage: http://cmuflite.org
Vcs-Git: https://salsa.debian.org/a11y-team/flite.git
Vcs-Browser: https://salsa.debian.org/a11y-team/flite
Rules-Requires-Root: no

Package: flite
Architecture: any
Multi-Arch: foreign
Depends:
 libflite1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Small run-time speech synthesis engine
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English and Indic languages.
 .
 This package contains the executables and documentation.

Package: libflite1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Small run-time speech synthesis engine - shared libraries
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English and Indic languages.
 .
 This package contains the shared library objects of Festival Lite

Package: flite1-dev
Provides:
 flite-dev
Conflicts:
 flite-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends:
 libc6-dev,
 libflite1 (= ${binary:Version}),
 ${misc:Depends}
Description: Small run-time speech synthesis engine - development files
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English and Indic languages.
 .
 This extra package provides the flite static libraries
 and header files.
