=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#fix FTBFS with binutils-gold
export DEB_LDFLAGS_MAINT_APPEND = -lm

include /usr/share/dpkg/architecture.mk

# If it's a linux OS use alsa, else use oss.
ifeq ($(DEB_BUILD_ARCH_OS),linux)
AUDIO=alsa
else
AUDIO=oss
endif

override_dh_auto_clean:
	dh_update_autotools_config
	[ ! -f config.log ] || dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- --with-audio=$(AUDIO) \
		--with-vox=cmu_us_kal16 --enable-shared

override_dh_auto_build:
	dh_auto_build
	(set -e; cd doc; $(MAKE) flite.pdf flite.html; makeinfo flite.texi)
