=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/flite-$1/ \
https://github.com/festvox/flite/tags .*/v?(?:.*-)?@ANY_VERSION@@ARCHIVE_EXT@
#http://cmuflite.org/packed/flite-(.*)/flite-(.*-release)@ARCHIVE_EXT@
#http://festvox.org/flite/packed/flite-(.*)/flite-(.*-release)@ARCHIVE_EXT@
